Loading...
Searching...
No Matches
gx_engine::PluginList Class Reference

`#include <gx_pluginloader.h>`

Inheritance diagram for gx_engine::PluginList:

## Public Member Functions

| PluginList (EngineControl &seq)
| ~PluginList ()
void | set_samplerate (int samplerate)
int | load_from_path (const string &path, PluginPos pos=PLUGIN_POS_RACK)
int | load_library (const string &path, PluginPos pos=PLUGIN_POS_RACK)
int | add (Plugin *pl, PluginPos pos, int flags)
Plugin * | add (PluginDef *p, PluginPos pos=PLUGIN_POS_RACK, int flags=0)
int | add (PluginDef **p, PluginPos pos=PLUGIN_POS_RACK, int flags=0)
int | add (plugindef_creator *p, PluginPos pos=PLUGIN_POS_RACK, int flags=0)
int | check_version (PluginDef *p)
void | registerGroup (PluginDef *pd, ParameterGroups &groups)
void | registerParameter (Plugin *pl, ParamMap &param, ParamRegImpl &preg)
void | registerPlugin (Plugin *pl, ParamMap &param, ParameterGroups &groups)
void | unregisterGroup (PluginDef *pd, ParameterGroups &groups)
void | unregisterParameter (Plugin *pl, ParamMap &param)
void | rescueParameter (Plugin *pl, ParamMap &param)
void | unregisterPlugin (Plugin *pl, ParamMap &param, ParameterGroups &groups)
void | registerAllPlugins (ParamMap &param, ParameterGroups &groups)
void | ordered_mono_list (list< Plugin * > &mono, int mode)
void | ordered_stereo_list (list< Plugin * > &stereo, int mode)
void | ordered_list (list< Plugin * > &l, bool stereo, int flagmask, int flagvalue)
sigc::signal< void, const char *, bool > & | signal_insert_remove ()
void | printlist (bool ordered=true)
Public Member Functions inherited from gx_engine::PluginListBase
| PluginListBase ()
| ~PluginListBase ()
void | cleanup ()
Plugin * | find_plugin (const std::string &id) const
Plugin * | lookup_plugin (const std::string &id) const
void | append_rack (UiBuilderBase &ui)
void | writeJSON (gx_system::JsonWriter &jw)
void | readJSON (gx_system::JsonParser &jp, ParamMap &pmap)
pluginmap::iterator | begin ()
pluginmap::iterator | end ()
int | insert_plugin (Plugin *pvars)
void | update_plugin (Plugin *pvars)
void | delete_module (Plugin *pl)

## Private Member Functions

int | add_module (Plugin *pl, PluginPos pos, int flags)

## Private Attributes

EngineControl & | seq
int | plugin_pos [PLUGIN_POS_COUNT]

## Additional Inherited Members

Public Types inherited from gx_engine::PluginListBase
typedef pair< const std::string, Plugin * > | map_pair
typedef map< const std::string, Plugin * > | pluginmap
Protected Types inherited from gx_engine::PluginListBase
enum | PluginPosInternal { PLUGIN_POS_RACK_STEREO = PLUGIN_POS_END+1 , PLUGIN_POS_COUNT }
Protected Attributes inherited from gx_engine::PluginListBase
pluginmap | pmap
sigc::signal< void, const char *, bool > | insert_remove

## Detailed Description

Definition at line 156 of file gx_pluginloader.h.

## Constructor & Destructor Documentation

## PluginList()

gx_engine::PluginList::PluginList | ( | EngineControl & | seq | ) |

## ~PluginList()

gx_engine::PluginList::~PluginList | ( |  | ) |

## Member Function Documentation

## add() [1/4]

int gx_engine::PluginList::add | ( | Plugin * | pl,
|  | PluginPos | pos,
|  | int | flags )

## add() [2/4]

int gx_engine::PluginList::add | ( | PluginDef ** | p,
|  | PluginPos | pos = PLUGIN_POS_RACK,
|  | int | flags = 0 )

## add() [3/4]

Plugin * gx_engine::PluginList::add | ( | PluginDef * | p,
|  | PluginPos | pos = PLUGIN_POS_RACK,
|  | int | flags = 0 )

## add() [4/4]

int gx_engine::PluginList::add | ( | plugindef_creator * | p,
|  | PluginPos | pos = PLUGIN_POS_RACK,
|  | int | flags = 0 )

## add_module()

int gx_engine::PluginList::add_module | ( | Plugin * | pl,
|  | PluginPos | pos,
|  | int | flags )

private

## check_version()

int gx_engine::PluginList::check_version | ( | PluginDef * | p | ) |

## load_from_path()

int gx_engine::PluginList::load_from_path | ( | const string & | path,
|  | PluginPos | pos = PLUGIN_POS_RACK )

## load_library()

int gx_engine::PluginList::load_library | ( | const string & | path,
|  | PluginPos | pos = PLUGIN_POS_RACK )

## ordered_list()

void gx_engine::PluginList::ordered_list | ( | list< Plugin * > & | l,
|  | bool | stereo,
|  | int | flagmask,
|  | int | flagvalue )

## ordered_mono_list()

void gx_engine::PluginList::ordered_mono_list | ( | list< Plugin * > & | mono,
|  | int | mode )

## ordered_stereo_list()

void gx_engine::PluginList::ordered_stereo_list | ( | list< Plugin * > & | stereo,
|  | int | mode )

## printlist()

void gx_engine::PluginList::printlist | ( | bool | ordered = true | ) |

## registerAllPlugins()

void gx_engine::PluginList::registerAllPlugins | ( | ParamMap & | param,
|  | ParameterGroups & | groups )

## registerGroup()

void gx_engine::PluginList::registerGroup | ( | PluginDef * | pd,
|  | ParameterGroups & | groups )

## registerParameter()

void gx_engine::PluginList::registerParameter | ( | Plugin * | pl,
|  | ParamMap & | param,
|  | ParamRegImpl & | preg )

## registerPlugin()

void gx_engine::PluginList::registerPlugin | ( | Plugin * | pl,
|  | ParamMap & | param,
|  | ParameterGroups & | groups )

## rescueParameter()

void gx_engine::PluginList::rescueParameter | ( | Plugin * | pl,
|  | ParamMap & | param )

## set_samplerate()

void gx_engine::PluginList::set_samplerate | ( | int | samplerate | ) |

## signal_insert_remove()

sigc::signal< void, const char *, bool > & gx_engine::PluginList::signal_insert_remove | ( |  | ) |

inline

Definition at line 182 of file gx_pluginloader.h.

## unregisterGroup()

void gx_engine::PluginList::unregisterGroup | ( | PluginDef * | pd,
|  | ParameterGroups & | groups )

## unregisterParameter()

void gx_engine::PluginList::unregisterParameter | ( | Plugin * | pl,
|  | ParamMap & | param )

## unregisterPlugin()

void gx_engine::PluginList::unregisterPlugin | ( | Plugin * | pl,
|  | ParamMap & | param,
|  | ParameterGroups & | groups )

## Member Data Documentation

## plugin_pos

int gx_engine::PluginList::plugin_pos[PLUGIN_POS_COUNT]

private

Definition at line 158 of file gx_pluginloader.h.

## seq

EngineControl& gx_engine::PluginList::seq

private

Definition at line 157 of file gx_pluginloader.h.

Referenced by PluginList().

The documentation for this class was generated from the following file:

- src/headers/gx_pluginloader.h